Pair Orderbook Bid&Ask(±range)

This endpoint provides historical data of the order book for spot trading, including total bid/ask volumes within a specific price range.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: every 5 seconds for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available
interval Limit>=4h>=30mNo LimitNo LimitNo Limit

Response Data

{
  "code": "0",
  "msg": "success",
  "data": [
    {
      "bids_usd": 81639959.9338,        // Total long position amount (USD)
      "bids_quantity": 1276.645,        // Total long quantity
      "asks_usd": 78533053.6862,        // Total short position amount (USD)
      "asks_quantity": 1217.125,        // Total short quantity
      "time": 1714003200000             // Timestamp (in milliseconds)
    },
    {
      "bids_usd": 62345879.8821,
      "bids_quantity": 980.473,
      "asks_usd": 65918423.4715,
      "asks_quantity": 1021.644,
      "time": 1714089600000
    }
  ]
}
Query Params
string
required
Defaults to Binance

Exchange name (e.g., Binance). Retrieve supported exchanges via the 'supported-exchange-pair' API.

string
required
Defaults to BTCUSDT

Trading pair (e.g., BTCUSDT). Check supported pairs through the 'supported-exchange-pair' API.

string
required
Defaults to 1d

Data aggregation time interval. Supported values: 1m, 3m, 5m, 15m, 30m, 1h, 4h, 6h, 8h, 12h, 1d, 1w.

int32

Number of results per request. Default: 1000, Maximum: 1000.

int64

Start timestamp in milliseconds (e.g., 1641522717000).

int64

End timestamp in milliseconds (e.g., 1641522717000).

string
Defaults to 1

Depth percentage (e.g., 0.25, 0.5, 0.75, 1, 2, 3, 5, 10).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json